package com.sa.ibiz.demo.config.liquibase;

public interface IProperties {
    /**
     *数据库用户名
     */
    static  String username="";
    /**
     *数据库密码
     */
    static  String password="";
    /**
     *数据库url
     */
    static  String url="";
    /**
     *数据库驱动
     */
    static  String driverClassName="";
    /**
     *数据库schema
     */
    static  String defaultSchema="";
    /**
     *是否开启同步
     */
    static  String isSyncDBSchema="";
    /**
     *运行模式
     */
    static  String runMode="";
    /**
     *获取数据库用户名
     */
    String getUsername();
    /**
     *获取数据库密码
     */
    String getPassword();
    /**
     *获取数据库url
     */
    String getUrl();
    /**
     *获取数据库schema
     */
    String getDefaultSchema();
    /**
     *获取运行模式
     */
    String getRunMode();
    /**
     *获取是否同步
     */
    String getIsSyncDBSchema();

}